package jp.ac.do_johodai.j314.sw.ws;

import jp.ac.do_johodai.j314.sw.je.*;

public class JEService {
    static JenaEngine engine;

    public JEService() {
        // engine = new JenaEngine();
    }

    /*
    public void n3_insert(String n3) {
        JEMessage m = new JEMessage(JEMessage.Type.INSERT_N3,null,n3);
        engine.recieveRequest(m);
    }
    */

    public boolean n3_insert(String n3) {
        JEMessage m = new JEMessage(JEMessage.Type.INSERT_N3, null, n3);
        engine.recieveRequest(m);
        return true;
    }

    abstract class JEListenerAdapter implements JEListener {
        public abstract void performResultMessage(JEMessage m);
    }
}
